OpenJPH: ojph::local::ms_struct Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::ms_struct Struct Reference

## Public Attributes
ui8 * | buf
ui32 | pos
ui32 | buf_size
int | max_bits
int | used_bits
ui32 | tmp

## Detailed Description

Definition at line 446 of file ojph_block_encoder.cpp.

## Member Data Documentation

## ◆ buf

ui8* ojph::local::ms_struct::buf

Definition at line 448 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), ojph::local::ms_terminate(), ojph::local::ojph_encode_codeblock32(), and ojph::local::ojph_encode_codeblock64().

## ◆ buf_size

ui32 ojph::local::ms_struct::buf_size

Definition at line 450 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), and ojph::local::ms_terminate().

## ◆ max_bits

int ojph::local::ms_struct::max_bits

Definition at line 452 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), and ojph::local::ms_terminate().

## ◆ pos

ui32 ojph::local::ms_struct::pos

Definition at line 449 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), ojph::local::ms_terminate(), ojph::local::ojph_encode_codeblock32(), and ojph::local::ojph_encode_codeblock64().

## ◆ tmp

ui32 ojph::local::ms_struct::tmp

Definition at line 454 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), and ojph::local::ms_terminate().

## ◆ used_bits

int ojph::local::ms_struct::used_bits

Definition at line 453 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ms_encode(), ojph::local::ms_encode64(), ojph::local::ms_init(), and ojph::local::ms_terminate().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_encoder.cpp